Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.noding
Class MCIndexNoder

    java.lang.Object
      com.vividsolutions.jts.noding.SinglePassNoder
          com.vividsolutions.jts.noding.MCIndexNoder

All Implemented Interfaces:
  Noder

    public class MCIndexNoder

extends SinglePassNoder

Nodes a set of `SegmentString`s using a index based on `MonotoneChain`s and a `SpatialIndex`. The `SpatialIndex` used should be something that supports envelope (range) queries efficiently (such as a `Quadtree`} or `STRtree` (which is the default index provided).

Version:
  1.7

Nested Class Summary
`class` | `MCIndexNoder.SegmentOverlapAction`

Field Summary

Fields inherited from class com.vividsolutions.jts.noding.SinglePassNoder
`segInt`

Constructor Summary
`MCIndexNoder()`
`MCIndexNoder(SegmentIntersector si)`

Method Summary
`void` | `computeNodes(java.util.Collection inputSegStrings)` Computes the noding for a collection of `SegmentString`s.
`SpatialIndex` | `getIndex()`
`java.util.List` | `getMonotoneChains()`
`java.util.Collection` | `getNodedSubstrings()` Returns a `Collection` of fully noded `SegmentString`s.

Methods inherited from class com.vividsolutions.jts.noding.SinglePassNoder
`setSegmentIntersector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MCIndexNoder

    public MCIndexNoder()

### MCIndexNoder

    public MCIndexNoder(SegmentIntersector si)

Method Detail

### getMonotoneChains

    public java.util.List getMonotoneChains()

### getIndex

    public SpatialIndex getIndex()

### getNodedSubstrings

    public java.util.Collection getNodedSubstrings()

  Description copied from class: `SinglePassNoder`
  Returns a `Collection` of fully noded `SegmentString`s. The SegmentStrings have the same context as their parent.

  Specified by:
    `getNodedSubstrings` in interface `Noder`
  Specified by:
    `getNodedSubstrings` in class `SinglePassNoder`
  Returns:
    a Collection of SegmentStrings

### computeNodes

    public void computeNodes(java.util.Collection inputSegStrings)

  Description copied from class: `SinglePassNoder`
  Computes the noding for a collection of `SegmentString`s. Some Noders may add all these nodes to the input SegmentStrings; others may only add some or none at all.

  Specified by:
    `computeNodes` in interface `Noder`
  Specified by:
    `computeNodes` in class `SinglePassNoder`
  Parameters:
    `inputSegStrings` - a collection of `SegmentString`s to node

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD